Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000579 [Ecere SDK] ide:buildsystem major always 2010-12-03 18:45 2013-05-19 17:15
Reporter redj View Status public  
Assigned To redj
Priority immediate Resolution fixed  
Status closed   Product Version
Summary 0000579: having sameName.c and sameName.cpp is not possible (.ec/.c/.cpp/.cc/.cxx) (name collisions)
Description EIMRepo/kernel/InterMAPhics-Release.Makefile:1392: warning: overriding commands for target `obj/release.win32/Object.o'
EIMRepo/kernel/InterMAPhics-Release.Makefile:639: warning: ignoring old commands for target `obj/release.win32/Object.o'

.c and .ec
I think if more than 1 file
with different extension
prioritize ec/c/cpp
i.e. if any ec File present, keep .ec->.o
and then .c -> .c.o
if any C file present
object.cpp->object.cpp.o
object.c->object.o
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000404)
redj (administrator)
2010-12-03 18:45

done

Added revision 171 to sdk/ide/src/project/Project.ec
Added revision 72 to sdk/ide/src/project/ProjectNode.ec

- Issue History
Date Modified Username Field Change
2010-12-03 18:45 redj New Issue
2010-12-03 18:45 redj Status new => assigned
2010-12-03 18:45 redj Assigned To => redj
2010-12-03 18:45 redj Status assigned => resolved
2010-12-03 18:45 redj Fixed in Version => 0.44 pre-release 2
2010-12-03 18:45 redj Resolution open => fixed
2010-12-03 18:45 redj Note Added: 0000404
2012-03-08 09:33 redj Target Version old 0.44.pre2 => 0.44 Ryoan-ji
2012-03-08 12:07 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-29 02:52 redj Category => ide
2012-03-29 02:52 redj Project @3@ => Ecere SDK
2012-03-29 03:48 redj Category ide => ide:buildsystem
2012-03-29 03:49 redj Summary ide: build system: having sameName.c and sameName.cpp is not possible (.ec/.c/.cpp/.cc/.cxx) (name collisions) => having sameName.c and sameName.cpp is not possible (.ec/.c/.cpp/.cc/.cxx) (name collisions)
2013-05-19 17:15 jerome Status resolved => closed


Mantis 1.1.1[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker